|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.tapestry.engine.ServiceEncodingImpl
public class ServiceEncodingImpl
Implementation of ServiceEncoding, which adds the ability to
determine when the encoding has been modified.
| Constructor Summary | |
|---|---|
ServiceEncodingImpl(String servletPath)
Creates a new instance with a new map of parameters. |
|
ServiceEncodingImpl(String servletPath,
Map parametersMap)
|
|
ServiceEncodingImpl(String servletPath,
String pathInfo,
QueryParameterMap parameters)
|
|
| Method Summary | |
|---|---|
String[] |
getParameterNames()
Returns an array of parameter names. |
String |
getParameterValue(String name)
Returns the value for the named parameter. |
String[] |
getParameterValues(String name)
Returns the value for the named parameter. |
String |
getPathInfo()
Returns the portion of the URL after the servlet itself. |
String |
getServletPath()
Returns the servlet path for the request. |
boolean |
isModified()
|
void |
resetModified()
|
void |
setParameterValue(String name,
String value)
Sets the value for the named query parameter to the provided string. |
void |
setParameterValues(String name,
String[] values)
Sets the values for a named query parameter. |
void |
setServletPath(String servletPath)
Updates the servlet path for the encoding. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public ServiceEncodingImpl(String servletPath)
public ServiceEncodingImpl(String servletPath,
Map parametersMap)
public ServiceEncodingImpl(String servletPath,
String pathInfo,
QueryParameterMap parameters)
| Method Detail |
|---|
public boolean isModified()
public void resetModified()
public String getParameterValue(String name)
ServiceEncoding
getParameterValue in interface ServiceEncodingpublic String[] getParameterValues(String name)
ServiceEncoding
getParameterValues in interface ServiceEncodingpublic void setServletPath(String servletPath)
ServiceEncoding
setServletPath in interface ServiceEncoding
public void setParameterValue(String name,
String value)
ServiceEncoding
setParameterValue in interface ServiceEncodingname - the name of the parameter to set.value - the new value, which may be null.
public void setParameterValues(String name,
String[] values)
ServiceEncoding
setParameterValues in interface ServiceEncodingpublic String getServletPath()
ServiceEncoding
getServletPath in interface ServiceEncodingpublic String[] getParameterNames()
ServiceEncoding
getParameterNames in interface ServiceEncodingpublic String getPathInfo()
ServiceEncoding
getPathInfo in interface ServiceEncoding
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||